@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400&display=swap");

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: "Poppins", sans-serif;
}

/* p {
  margin: 15px 0;
  line-height: 1.8;
} */

a {
  text-decoration: none;
  /* color: rgb(255, 255, 255); */
}

.appName > a {
  color: rgb(255, 255, 255);
}

a:hover {
  color: aqua;
}

img {
  width: 100%;
  border-radius: 10px;
}

.link {
  cursor: pointer;
}

.borderImg {
  width: 150px;
  height: 90px;
}

.shadow {
  box-shadow: 0px 0px 10px 10px rgba(30, 30, 30, 0.1);
}
.cardC {
  max-width: 40vh;
}

.appName {
  font-size: 2rem;
}

.btn {
  display: inline-block;
  background: steelblue;
  color: #fff;
  border: none;
  padding: 8px 16px;
  border-radius: 5px;
  cursor: pointer;
  text-decoration: none;
  font-size: 15px;
  font-family: inherit;
}

.btn:focus {
  outline: none;
}

.btn:hover {
  transform: scale(0.98);
}

.btn-back {
  background: #f4f4f4;
  color: #000;
  margin-bottom: 20px;
}

.posts {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
  margin-top: 30px;
}

.card {
  padding: 15px;
  border-radius: 10px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}

.card-page {
  padding: 15px 30px;
}

.post-title {
  margin: 10px 0;
}

.post-date {
  background: #f4f4f4;
  margin-bottom: 20px;
  padding: 3px 10px;
}

.post-body ul,
ol {
  font-size: 110%;
  line-height: 2.3;
  font-weight: bold;
  margin: 10px 0;
}

.post-body pre {
  background: #f4f4f4;
  padding: 20px;
  margin: 20px 0;
  line-height: 2.3;
}

:root {
  --input-padding-x: 1.5rem;
  --input-padding-y: 0.75rem;
}

.card-signin {
  border: 0;
  border-radius: 1rem;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.1);
}

.card-signin .card-title {
  margin-bottom: 2rem;
  font-weight: 300;
  font-size: 1.5rem;
}

.card-signin .card-body {
  padding: 2rem;
}

.form-signin {
  width: 100%;
}

.form-signin .btn {
  font-size: 90%;
  border-radius: 5rem;
  letter-spacing: 0.1rem;
  font-weight: bold;
  padding: 1rem;
  transition: all 0.2s;
}

.form-label-group {
  position: relative;
  margin-bottom: 1rem;
}

.form-label-group input {
  width: 100%;
  height: auto;
  border-radius: 2rem;
}

.form-label-group > input,
.form-label-group > label {
  padding: var(--input-padding-y) var(--input-padding-x);
}

.form-label-group > label {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 100%;
  margin-bottom: 0;
  /* Override default `<label>` margin */
  line-height: 1.5;
  color: #495057;
  border: 1px solid transparent;
  border-radius: 0.25rem;
  transition: all 0.1s ease-in-out;
}

.form-label-group input::-webkit-input-placeholder {
  color: transparent;
}

.form-label-group input:-ms-input-placeholder {
  color: transparent;
}

.form-label-group input::-ms-input-placeholder {
  color: transparent;
}

.form-label-group input::-moz-placeholder {
  color: transparent;
}

.form-label-group input::placeholder {
  color: transparent;
}

.form-label-group input:not(:placeholder-shown) {
  padding-top: calc(var(--input-padding-y) + var(--input-padding-y) * (2 / 3));
  padding-bottom: calc(var(--input-padding-y) / 3);
}

.form-label-group input:not(:placeholder-shown) ~ label {
  padding-top: calc(var(--input-padding-y) / 3);
  padding-bottom: calc(var(--input-padding-y) / 3);
  font-size: 12px;
  color: #777;
}

@media (max-width: 500px) {
  .posts {
    grid-template-columns: 1fr;
  }
}

@media only screen and (max-width: 576px) {
  .flagImg {
    width: 50%;
    flex: 0 0 auto;
  }
}
